<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarketMenuItemManagerController Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d05/a05985.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarketMenuItemManagerController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMarketMenuItemManagerController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d05/a05985.png" usemap="#ExpansionMarketMenuItemManagerController_map" alt=""/>
  <map id="ExpansionMarketMenuItemManagerController_map" name="ExpansionMarketMenuItemManagerController_map">
<area href="../../db/d49/a04289.html" alt="ExpansionViewController" shape="rect" coords="0,0,270,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a97b856011bdf79a42eff9a69d4ebeed4"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d1/d26/a05989.html">ExpansionMarketMenuItemManagerCategory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/a05985.html#a97b856011bdf79a42eff9a69d4ebeed4">ItemCategories</a> = new ObservableCollection&lt;ref <a class="el" href="../../d1/d26/a05989.html">ExpansionMarketMenuItemManagerCategory</a>&gt;(this)</td></tr>
<tr class="separator:a97b856011bdf79a42eff9a69d4ebeed4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a726debd7d05c74f0440c366b046acad8"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d8/dc4/a05997.html">ExpansionMarketMenuItemManagerCategoryItem</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/a05985.html#a726debd7d05c74f0440c366b046acad8">CategoryItems</a> = new ObservableCollection&lt;ref <a class="el" href="../../d8/dc4/a05997.html">ExpansionMarketMenuItemManagerCategoryItem</a>&gt;(this)</td></tr>
<tr class="separator:a726debd7d05c74f0440c366b046acad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a979a065de99f1f11c4555df7524ee39b"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d5/d0a/a06009.html">ExpansionMarketMenuItemManagerPresetElement</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/a05985.html#a979a065de99f1f11c4555df7524ee39b">PresetsDropdownElements</a> = new ObservableCollection&lt;ref <a class="el" href="../../d5/d0a/a06009.html">ExpansionMarketMenuItemManagerPresetElement</a>&gt;(this)</td></tr>
<tr class="separator:a979a065de99f1f11c4555df7524ee39b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5af22d908381fc87ddbf4d3d9b5d3eb"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/a05985.html#af5af22d908381fc87ddbf4d3d9b5d3eb">ItemPreview</a></td></tr>
<tr class="separator:af5af22d908381fc87ddbf4d3d9b5d3eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11f3e9ed74482467423d132a0d951a74"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/a05985.html#a11f3e9ed74482467423d132a0d951a74">ItemName</a></td></tr>
<tr class="separator:a11f3e9ed74482467423d132a0d951a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9805ce6605ee03d30ab4a49f4db055"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/a05985.html#acd9805ce6605ee03d30ab4a49f4db055">PresetName</a></td></tr>
<tr class="separator:acd9805ce6605ee03d30ab4a49f4db055"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00580">580</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a726debd7d05c74f0440c366b046acad8" name="a726debd7d05c74f0440c366b046acad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a726debd7d05c74f0440c366b046acad8">&#9670;&#160;</a></span>CategoryItems</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d8/dc4/a05997.html">ExpansionMarketMenuItemManagerCategoryItem</a>&gt; ExpansionMarketMenuItemManagerController::CategoryItems = new ObservableCollection&lt;ref <a class="el" href="../../d8/dc4/a05997.html">ExpansionMarketMenuItemManagerCategoryItem</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00583">583</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a97b856011bdf79a42eff9a69d4ebeed4" name="a97b856011bdf79a42eff9a69d4ebeed4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97b856011bdf79a42eff9a69d4ebeed4">&#9670;&#160;</a></span>ItemCategories</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d1/d26/a05989.html">ExpansionMarketMenuItemManagerCategory</a>&gt; ExpansionMarketMenuItemManagerController::ItemCategories = new ObservableCollection&lt;ref <a class="el" href="../../d1/d26/a05989.html">ExpansionMarketMenuItemManagerCategory</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00582">582</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a11f3e9ed74482467423d132a0d951a74" name="a11f3e9ed74482467423d132a0d951a74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11f3e9ed74482467423d132a0d951a74">&#9670;&#160;</a></span>ItemName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketMenuItemManagerController::ItemName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00586">586</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="af5af22d908381fc87ddbf4d3d9b5d3eb" name="af5af22d908381fc87ddbf4d3d9b5d3eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5af22d908381fc87ddbf4d3d9b5d3eb">&#9670;&#160;</a></span>ItemPreview</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Object ExpansionMarketMenuItemManagerController::ItemPreview</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00585">585</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="acd9805ce6605ee03d30ab4a49f4db055" name="acd9805ce6605ee03d30ab4a49f4db055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd9805ce6605ee03d30ab4a49f4db055">&#9670;&#160;</a></span>PresetName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketMenuItemManagerController::PresetName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00587">587</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a979a065de99f1f11c4555df7524ee39b" name="a979a065de99f1f11c4555df7524ee39b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a979a065de99f1f11c4555df7524ee39b">&#9670;&#160;</a></span>PresetsDropdownElements</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d5/d0a/a06009.html">ExpansionMarketMenuItemManagerPresetElement</a>&gt; ExpansionMarketMenuItemManagerController::PresetsDropdownElements = new ObservableCollection&lt;ref <a class="el" href="../../d5/d0a/a06009.html">ExpansionMarketMenuItemManagerPresetElement</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00584">584</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/market/<a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d05/a05985.html">ExpansionMarketMenuItemManagerController</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
